/*!
    \file spatial_separation.h
    \brief Definition of the generic spatial separation of model data

*/

#ifndef _SPATIAL_SEPARATION_H
#define _SPATIAL_SEPARATION_H

#include "base_object.h"


class AbstractModel;


//! A class for spatial separation of vertices based arrays
class SpatialSeparation : public BaseObject {

 public:
  SpatialSeparation(AbstractModel* model);
  virtual ~SpatialSeparation();




 private:
   AbstractModel*             model;


};

#endif /* _SPATIAL_SEPARATION_H */
